Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleEnvironment

    java.lang.Object
      com.ibm.able.editor.AbleEnvironment

All Implemented Interfaces:
  java.io.Serializable

public class AbleEnvironment
extends java.lang.Object
implements java.io.Serializable

This class is used to save/restore the Able Editor environment Which includes, viewObject positions and Inspector windows and their settings An Agent is saved to agentFileName.ser, The corresponding environment is serialized into agentFileName.env

See Also:
  Serialized Form

Field Summary
`protected static long` | `serialVersionUID`

Constructor Summary
`AbleEnvironment()`

Method Summary
`void` | `addInspector(AbleInspector insp)`
`protected void` | `findViewObjectLocations(javax.swing.tree.DefaultMutableTreeNode root, java.util.HashMap pointMap)` Walk though the treeview and save the viewobject locations in a Vector
`AbleInspectorContext[]` | `getInspectorContexts()`
`java.util.Vector` | `getInspectors()`
`void` | `removeInspector(AbleInspector insp)`
`static AbleEnvironment` | `restoreFromFile(java.lang.String fileName)` Restore the object from the specified serialized file.
`void` | `restoreViewObjectLocations(javax.swing.tree.DefaultMutableTreeNode root)` Pass in the tree view and restore the corresponding viewObject locations
`protected void` | `restoreViewObjectLocations(javax.swing.tree.DefaultMutableTreeNode root, java.util.HashMap pointMap)` Walk though the treeview and set the viewobject locations
`void` | `saveToFile(java.lang.String fileName)` Save the object (serialize it) to the specified file name.
`void` | `setViewObjectLocations(javax.swing.tree.DefaultMutableTreeNode root)` Pass in the tree view and build up a Vector of viewObject locations

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### AbleEnvironment

    public AbleEnvironment()

Method Detail

### addInspector

    public void addInspector(AbleInspector insp)

### removeInspector

    public void removeInspector(AbleInspector insp)

### getInspectors

    public java.util.Vector getInspectors()

### setViewObjectLocations

    public void setViewObjectLocations(javax.swing.tree.DefaultMutableTreeNode root)

  Pass in the tree view and build up a Vector of viewObject locations

  Parameters:
    `root` - The root node of the tree view

### findViewObjectLocations

    protected void findViewObjectLocations(javax.swing.tree.DefaultMutableTreeNode root,
                                           java.util.HashMap pointMap)

  Walk though the treeview and save the viewobject locations in a Vector

### restoreViewObjectLocations

    public void restoreViewObjectLocations(javax.swing.tree.DefaultMutableTreeNode root)

  Pass in the tree view and restore the corresponding viewObject locations

  Parameters:
    `root` - The root node of the tree view

### restoreViewObjectLocations

    protected void restoreViewObjectLocations(javax.swing.tree.DefaultMutableTreeNode root,
                                              java.util.HashMap pointMap)

  Walk though the treeview and set the viewobject locations

### saveToFile

    public void saveToFile(java.lang.String fileName)
                    throws java.io.IOException

  Save the object (serialize it) to the specified file name.

  Parameters:
    `fileName` - The file name and path.
  Throws:
    `java.io.IOException`

### restoreFromFile

    public static AbleEnvironment restoreFromFile(java.lang.String fileName)
                                           throws java.io.IOException,
                                                  java.lang.ClassNotFoundException

  Restore the object from the specified serialized file.

  Parameters:
    `fileName` - The file name and path containing the object.
  Returns:
    The deserialized AbleBean.
  Throws:
    `java.io.IOException` - Any IO exception.
    `java.lang.ClassNotFoundException` - If class file was not found.

### getInspectorContexts

    public AbleInspectorContext[] getInspectorContexts()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005